/* cyrillic */
/*@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 300;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/montserrat/v30/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCs16Hw9aXp-p7K4GLvztg.woff2) format('woff2');
  unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}*/
/* latin */
/*@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 300;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/montserrat/v30/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCs16Hw5aXp-p7K4GLs.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}*/
/* cyrillic */
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/montserrat/v30/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCtr6Hw9aXp-p7K4GLvztg.woff2) format('woff2');
  unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}
/* latin */
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/montserrat/v30/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCtr6Hw5aXp-p7K4GLs.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* cyrillic */
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/montserrat/v30/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCu173w9aXp-p7K4GLvztg.woff2) format('woff2');
  unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}
* {
  margin: 0;
  padding: 0;
  outline: 0;
  box-sizing: border-box;
}
html {
  scroll-behavior: smooth;
}
body {
  font-family: "Montserrat", sans-serif;
  margin: 0;
  padding: 0;
  background-color: #fef4e7;
  /*background-color: rgb(237, 246, 242);*/
  /*background: linear-gradient(rgb(249 239 205 / 30%) 0%, rgb(255 213 178 / 50%) 100%);*/
  /*background: linear-gradient(rgb(219, 239, 239) 0%, rgb(255, 213, 178) 100%);*/
	  /*background-color: rgb(216, 240, 225);*/
	  /*background: linear-gradient(rgb(252, 226, 199) 0%, rgb(249, 239, 205) 100%);*/
}
img {
  width: 100%;
  height: auto;
  vertical-align: middle;
}

.gallery {
	  margin: auto;
	  width: 90%;
	  max-width: 1200px;
      column-count: 3;
      gap: 15px;
}
.gallery img {
	  /*display: block;*/
      border-radius: 2.5rem;
      cursor: pointer;
	  box-shadow: 0 2px 6px rgb(0 0 0 / 10%);
      transition: transform 0.3s ease;
	  margin-bottom: 15px;
    }
/*.gallery img:hover {
      transform: scale(1.03);
    }*/
.title {
  font-size: 36px;
  line-height:1.2;
  font-weight: 400;
  color: rgb(48, 89, 64);
  margin-bottom: 20px;
}
p {
  font-size: 18px;
  font-weight: 400;
  line-height: 1.5;
  /*color: rgb(80, 80, 80);*/
  color: #723000;
  margin-bottom: 10px;
}
b {
    font-weight: 600;
	color: rgb(48, 89, 64);
}
.title-xl {
  font-size: clamp(1.3rem, calc(3vw + 1rem), 4rem);
  line-height:1.2;
  font-weight: 400;
  color: rgb(48, 89, 64);
  margin-bottom: 10px;
}
.carousel {
  position: relative;
  margin-top: 70px;
  max-width: 100%;
  height: 700px;
  overflow: hidden;
}

.carousel-slide {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  transition: opacity 1s ease-in-out;
  z-index: 0;
}

.carousel-slide.active {
  opacity: 1;
  z-index: 1;
}

.carousel-slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.caption {
  position: absolute;
  bottom: 50px;
  left: 50px;
  /*background: rgba(0, 0, 0, 0.6);*/
  color: #fff;
  padding: 15px 25px;
  font-size: 1.8rem;
  border-radius: 8px;
  max-width: 80%;
}

.caption h1 {
	font-size: 4rem;
	color: #fff;
	font-weight: 400;
	line-height: 1.2;
  margin: 0 0 20px;
  /*font-size: 2rem;*/
}
.caption p {
	color: #fff;
}
.caption .title-carousel {
  margin: 0 0 20px;
  font-weight: 400;
  line-height: 1.2;
  font-size: 4rem;
 }

.caption p {
  font-size: 1.375rem;
  margin: 0 0 15px;
  letter-spacing: 0.1px;
  font-weight: bold;
  /*font-size: 1.1rem;*/
}
.caption h1,
.caption p {
  text-shadow: 2px 2px 6px rgba(0, 0, 0, 0.6);
}
.btn {
  display: inline-block;
  background: #d1122e;
  color: white;
  padding: 0.75rem 1rem;
  margin-top: 10px;
  /*padding: 10px 20px;*/
  font-size: 0.75rem;
  text-decoration: none;
  font-weight: bold;
  text-transform: uppercase;
  min-width: 10rem;
  text-align: center;
  border-radius: 1.5rem;
  transition: background 0.3s ease;
  box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.6);
}

.btn:hover {
  background: rgb(199 0 29);
}
/*.micro-spacer {
    height: 1.25rem;
}*/
/* Анимация за caption */
.caption {
  opacity: 0;
  transform: translateY(30px);
  transition: opacity 0.8s ease, transform 0.8s ease;
}

/* Активен слайд показва текста */
.carousel-slide.active .caption {
  opacity: 1;
  transform: translateY(0);
}

/* Заглавие и параграф */
.caption h1, .caption .title-carousel, .caption p, .caption .btn {
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.6s ease, transform 0.6s ease;
}

/* Активен слайд показва елементите */
.carousel-slide.active .caption h1 {
  opacity: 1;
  transform: translateY(0);
  transition-delay: 0.2s;
}

.carousel-slide.active .caption .title-carousel {
  opacity: 1;
  transform: translateY(0);
  transition-delay: 0.2s;
}

.carousel-slide.active .caption p {
  opacity: 1;
  transform: translateY(0);
  transition-delay: 0.4s;
}

.carousel-slide.active .caption .btn {
  opacity: 1;
  transform: translateY(0);
  transition-delay: 0.6s;
}
.space-min {
	/*padding: min(5em, 8%);*/
    padding: min(2rem, 3%);
}
.space-small {
    padding: min(1rem, 2%);
}
.space-smallest {
    padding: min(0.5rem, 0.5%);
}

.space-10 {
	margin: 10px auto;
}
.space-20 {
	margin: 20px auto;
}
.space-30 {
	margin: 30px auto;
}
.space-40 {
	margin: 40px auto;
}
.space-50 {
	margin: 50px auto;
}
.space-70 {
	margin: 70px auto;
}
.line {
  width: 20%;
  height: 1px;
  margin: 15px 0;
  background-color: rgb(48, 89, 64);
  /*background-color: #d1122e;*/
  border-radius: 1px;
}
.div-center {
  margin: 15px auto;
}
/*.carousel-button {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: rgba(0,0,0,0.5);
  border: none;
  color: white;
  font-size: 2rem;
  padding: 10px;
  cursor: pointer;
  z-index: 10;
}

.carousel-button.prev {
  left: 10px;
}

.carousel-button.next {
  right: 10px;
}*/
/* Начално състояние */

.animate {
  opacity: 0;
  transform: translateY(30px);
  transition: opacity 0.8s ease, transform 0.8s ease;
}

/* Активирана анимация */
.animate.visible {
  opacity: 1;
  transform: translateY(0);
}

/* Верижни закъснения */
.animate:nth-child(1) {
  transition-delay: 0.2s;
}
.animate:nth-child(2) {
  transition-delay: 0.4s;
}
.animate:nth-child(3) {
  transition-delay: 0.6s;
}
.animate:nth-child(4) {
  transition-delay: 0.8s;
}
.animate:nth-child(5) {
  transition-delay: 1s;
}
.animate:nth-child(6) {
  transition-delay: 1.2s;
}
.animate:nth-child(7) {
  transition-delay: 1.4s;
}
.animate:nth-child(8) {
  transition-delay: 1.6s;
}
/* Добави още при нужда */



/* Контейнер за текст — до 800px */
.container-text {
  width: 90%;
  max-width: 800px;
  margin: 0 auto 40px;
}
.text-center { 
text-align: center;
}
.container-img {
  width: 90%;
  max-width: 1000px;
  margin: 0 auto 30px;
  /*background-color: rgb(216, 240, 225);*/
}
.container-img img {
	border-radius: 2.5rem;
    box-shadow: 0 2px 6px rgb(0 0 0 / 10%);
}

/* Контейнер за други елементи — до 1200px */
.container-wide {
  width: 90%;
  max-width: 1200px;
  margin: 0 auto 30px;
  background-color: rgb(216, 240, 225);
 
}

.container-widest {
  width: 100%;
  margin: 0 auto 30px;
  background-color: rgb(216, 240, 225);
}

/* Примерен стил за вътрешен елемент */

.flex-2 {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 40px;
  width: 90%;
  max-width: 1200px;
  margin: 40px auto;
  /*padding: 20px;*/
  flex-wrap: wrap;
}
.align-items {
	align-items: flex-start;
}
.image {
  flex: 1 1 400px;
}

.image img {
  border-radius: 2.5rem;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
}

.text {
  flex: 1 1 400px;
}
   
	.logo {
 position: fixed;
  top: 10px;
  left: 10px;
  z-index: 1002; /* над менюто */
	}

    .logo img {
      width: 150px;
      height: 50px;
	  filter: drop-shadow(0 0 10px rgba(0,0,0, 0.2));
    }
	nav {
	position: fixed;
    top: 0;
    display: block;
	width: 100%;
    height: 70px;
    /*background-color: rgb(249, 239, 205, 30%);*/
	background-color: #fef4e7;
    z-index: 1005;
}
    .menu-toggle {
      display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: rgb(209, 18, 46);
  border: none;
  border-radius: 50%;      
  width: 50px;
  height: 50px;
  position: fixed;
  top: 10px;
  right: 10px;
  z-index: 1004;
  cursor: pointer;
  box-shadow: 0 0 10px rgba(0,0,0,0.2);
    }

    .bar {
		margin: 4px 0;
      margin: 3px;
      width: 25px;
      height: 2px;
      background-color: #fff;
      border-radius: 1px;
      transition: all 0.3s ease;
    }

  
  
    .menu-toggle.open .bar:nth-child(1) {
      transform: rotate(-45deg) translate(-5px, 5px);
    }

    .menu-toggle.open .bar:nth-child(2) {
      opacity: 0;
    }

    .menu-toggle.open .bar:nth-child(3) {
      transform: rotate(45deg) translate(-6px, -6px);
    }
    /*.menu-img {
		width: 50%
	}*/
    .menu-overlay {
      position: fixed;
      top: 0;
      right: -100%;
      width: 30%;
      height: 100vh;
      background-color: #d1122e;
      transition: right 0.5s ease;
      z-index: 1003;
      display: flex;
      justify-content: center;
      align-items: center;
    }

    .menu-overlay.show {
      right: 0;
    }

    .main-menu {
      list-style: none;
      margin: 0;
      padding: 0;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
    }

    .main-menu > li {
      opacity: 0;
      transform: translateY(30px);
    }

    .menu-overlay.show .main-menu > li {
      animation: fadeUp 0.6s ease forwards;
    }

    .logo-menu-overlay img {
      width: 400px;
      height: auto;
	  
    }
    .menu-overlay.show .main-menu > li:nth-child(1) { animation-delay: 0.1s; }
    .menu-overlay.show .main-menu > li:nth-child(2) { animation-delay: 0.2s; }
    .menu-overlay.show .main-menu > li:nth-child(3) { animation-delay: 0.3s; }
    .menu-overlay.show .main-menu > li:nth-child(4) { animation-delay: 0.4s; }
    .menu-overlay.show .main-menu > li:nth-child(5) { animation-delay: 0.5s; }

    @keyframes fadeUp {
      from {
        opacity: 0;
        transform: translateY(30px);
      }
      to {
        opacity: 1;
        transform: translateY(0);
      }
    }

    .main-menu > li > a {
      display: block;
      padding: 20px;
      font-size: 1.5rem;
      color: #fff;
      letter-spacing: 1px;
      /*text-transform: uppercase;*/
      text-decoration: none;
      text-align: center;
    }

.map-container {
	  margin: 20px auto;
      width: 90%;
      max-width: 1200px;
      border-radius: 2.5rem;
      overflow: hidden;
      box-shadow: 0 4px 12px rgba(0,0,0,0.1);
    }

    iframe {
      width: 100%;
      height: 500px;
      border: none;
      display: block;
    }

.footer {
	width: 100%;
	padding: 20px 0;
	background-color: #d1122e;
	color: #fff;
}
.container-footer {
    width: 90%;
    max-width: 800px;
    margin: 20px auto;
}
.title-footer {
  font-size: clamp(1.3rem, calc(1vw + 1rem), 3rem);
  line-height:1.2;
  font-weight: 400;
  color: #fff;
  margin-bottom: 10px;
}
.copy {
	font-size: 16px;
	padding: 30px 20px 0;
	text-align: center;
}
::selection {
    background: rgb(209, 18, 46);
    color: rgb(255, 255, 255);
    text-shadow: none;
}
.link {
    text-decoration: none;
}
.applelinks a { 
  color: rgb(48, 89, 64) !important; 
  text-decoration: none; 
 }
/*@media (min-width: 1200px) {
  .logo {
    left: calc((100vw - 90rem) / 2 + 20px);
  }

  .menu-toggle {
    right: calc((100vw - 90rem) / 2 + 20px);
  }
}*/



    @media (max-width: 960px) {
      .main-menu > li > a {
        padding: 16px;
        font-size: 1.3rem;
      }

      /*.dropdown-menu-new li a {
        font-size: 1.3rem;
      }*/
	  
    }
	
	/* За мобилни устройства */
@media (max-width: 768px) {
  .flex-2 {
    flex-direction: column;
    text-align: center;
  }
.align-items {
	align-items: center;
}
  .text, .image {
    flex: 1 1 100%;
  }
  .caption {
    font-size: 1.2rem;
    left: 20px;
    bottom: 25px;
    padding: 10px 15px;
  }
  .caption h1 {
	font-size: 2.3rem;
}
.caption .title-carousel {
	font-size: 2.3rem;
}
 /* .carousel-button {
    font-size: 1.5rem;
    padding: 8px;
  }*/
   .menu-overlay {
      width: 100%;
 }
}
@media (max-width: 601px) {
	.carousel {
    height: 600px;
  }
  .space-70 {
	margin: 50px auto;
}
.gallery {
 column-count: 1;
 }
}
@media (max-width: 321px) {
  .caption h1 {
	font-size: 1.8rem;
	font-weight: 600;
}
.caption .title-carousel {
	font-size: 1.8rem;
	font-weight: 600;
}
}
